#ifndef LIST_H
#define LIST_H

#include <stdint.h>

#define NULL (void *)0

typedef struct ListElement {
    struct ListElement *next;
    void *data;
} ListElement;

extern void listAdd(ListElement **list, void *data);
extern void listAddSet(ListElement **list, void *data);
extern uint32_t listCount(ListElement *list);

extern void *popBeginning(ListElement **list);

#endif
